Solid Edge FrameworkSupport Type Library
SetSegmentedStyle Method
Specifies the index for the segment of the graphic object that will receive the new linear style.
Specifies the new LinearStyle2d object to assign to the segment. A null style removes the segment from the graphic object.
Description
Applies a new linear style to a specified segment on a graphic object.
Syntax
Visual Basic
Public Sub SetSegmentedStyle( _
   ByVal Index As Long, _
   ByVal Style As Object _
) 
Parameters
Index
Specifies the index for the segment of the graphic object that will receive the new linear style.
Style
Specifies the new LinearStyle2d object to assign to the segment. A null style removes the segment from the graphic object.
Remarks
If a linear style does not exist for the formatting needed for the segment, create the linear style through the LinearStyles collection object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objBSpln1 As SolidEdgeFrameworkSupport.BSplineCurve2d
    Dim objLinStyle1 As SolidEdgeFrameWork.LinearStyle
    Dim objLinStyle2 As SolidEdgeFrameWork.LinearStyle
    Dim MyArray(9) As Double
    Dim strStyleName As String, strStyleParent As String
    Dim dblX1 As Double, dblY1 As Double, dblX2 As Double, dblY2 As Double
    Dim objStyle As Object
    Dim lngIdx As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Define an Array of Points
    MyArray(0) = 0.05
    MyArray(1) = 0.05
    MyArray(2) = 0.09
    MyArray(3) = 0.12
    MyArray(4) = 0.14
    MyArray(5) = 0.05
    MyArray(6) = 0.19
    MyArray(7) = 0.18
    MyArray(8) = 0.25
    MyArray(9) = 0.09
    'Create a BSplineCurve object
    Set objBSpln1 = objSheet.BSplineCurves2d.AddByPoints(Order:=4, ArraySize:=5, _
                                                         Array:=MyArray())
    ' Create a LinearStyle2d Object
    strStyleName = "LinearStyleDotted"
    strStyleParent = "Dotted"
    Set objLinStyle1 = objDoc.LinearStyles.Add(Name:=strStyleName, _
                                               Parent:=strStyleParent)

    ' Add a SegmentedStyle to the BSplineCurve
    Call objBSpln1.AddSegmentedStyle(x1:=0.05, y1:=0.05, x2:=0.14, _
                                     y2:=0.05, Style:=objLinStyle1)
    ' Create a LinearStyle2d Object
    strStyleName = "LinearStyleDashed"
    strStyleParent = "Center"
    Set objLinStyle2 = objDoc.LinearStyles.Add(Name:=strStyleName, _
                                               Parent:=strStyleParent)
    ' Add a SegmentedStyle to the BSplineCurve
    Call objBSpln1.AddSegmentedStyle(x1:=0.14, y1:=0.05, x2:=0.25, _
                                     y2:=0.09, Style:=objLinStyle2)
    ' Set another Style to the 1st Segment
    Call objBSpln1.SetSegmentedStyle(Index:=1, Style:=objLinStyle2)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objBSpln1 = Nothing
    Set objLinStyle1 = Nothing
    Set objLinStyle2 = Nothing
End Sub
See Also

BSplineCurve2d Object  | BSplineCurve2d Members